/*
 * OpenAPI definition
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v0
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package com.gitlab.rcktsci.hackatons.x5.codegen.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Objects;

/**
 * Команда выставить товар на полку. Товар можно выставить либо на пустую полку, либо на ту, на которой уже стоит данный товар.
 */
@Schema(description = "Команда выставить товар на полку. Товар можно выставить либо на пустую полку, либо на ту, на которой уже стоит данный товар.")
@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2021-08-29T20:10:20.018547+03:00[Europe/Moscow]")
public class PutOnRackCellCommand {

    @SerializedName("rackCellId")
    private Integer rackCellId = null;

    @SerializedName("productId")
    private Integer productId = null;

    @SerializedName("productQuantity")
    private Integer productQuantity = null;

    @SerializedName("sellPrice")
    private Double sellPrice = null;

    public PutOnRackCellCommand rackCellId(Integer rackCellId) {
        this.rackCellId = rackCellId;
        return this;
    }

    /**
     * Id полки
     *
     * @return rackCellId
     **/
    @Schema(required = true, description = "Id полки")
    public Integer getRackCellId() {
        return rackCellId;
    }

    public void setRackCellId(Integer rackCellId) {
        this.rackCellId = rackCellId;
    }

    public PutOnRackCellCommand productId(Integer productId) {
        this.productId = productId;
        return this;
    }

    /**
     * Выставляемый товар
     *
     * @return productId
     **/
    @Schema(required = true, description = "Выставляемый товар")
    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public PutOnRackCellCommand productQuantity(Integer productQuantity) {
        this.productQuantity = productQuantity;
        return this;
    }

    /**
     * Количество продукта, которое нужно выставить
     *
     * @return productQuantity
     **/
    @Schema(required = true, description = "Количество продукта, которое нужно выставить")
    public Integer getProductQuantity() {
        return productQuantity;
    }

    public void setProductQuantity(Integer productQuantity) {
        this.productQuantity = productQuantity;
    }

    public PutOnRackCellCommand sellPrice(Double sellPrice) {
        this.sellPrice = sellPrice;
        return this;
    }

    /**
     * Цена, по которой продукт может купить покупатель. Если цена на продукт уже была выставлена, то это поле можно не передавать
     *
     * @return sellPrice
     **/
    @Schema(description = "Цена, по которой продукт может купить покупатель. Если цена на продукт уже была выставлена, то это поле можно не передавать")
    public Double getSellPrice() {
        return sellPrice;
    }

    public void setSellPrice(Double sellPrice) {
        this.sellPrice = sellPrice;
    }

    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        PutOnRackCellCommand putOnRackCellCommand = (PutOnRackCellCommand) o;
        return Objects.equals(this.rackCellId, putOnRackCellCommand.rackCellId) &&
               Objects.equals(this.productId, putOnRackCellCommand.productId) &&
               Objects.equals(this.productQuantity, putOnRackCellCommand.productQuantity) &&
               Objects.equals(this.sellPrice, putOnRackCellCommand.sellPrice);
    }

    @Override
    public int hashCode() {
        return Objects.hash(rackCellId, productId, productQuantity, sellPrice);
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class PutOnRackCellCommand {\n");

        sb.append("    rackCellId: ").append(toIndentedString(rackCellId)).append("\n");
        sb.append("    productId: ").append(toIndentedString(productId)).append("\n");
        sb.append("    productQuantity: ").append(toIndentedString(productQuantity)).append("\n");
        sb.append("    sellPrice: ").append(toIndentedString(sellPrice)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
            return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }
}
